Description

It seems in google chrome, 'some' inline image can show up during loading page, but will disappear after the page loading finishes.

| have upload a video for this: http://youtu.be/kidzMaYE_Sk . In video, the image of fish disappeared when page is loaded.

History

#1 - 2013-04-22 20:43 - Filou Centrinov

Can't reproduce defect with Chrome. Could you make some more experiments? May it depends on the image size, image format, chrome version, ...
? However displaying big inline images in chrome 26 works for me.

#2 - 2013-04-23 07:20 - Jethro Yu
- File chrome.png added

in Chrome's debug console, i get the image GET error with wrong received size.

Elemenis  Resources - Sources  Timeline  Profiles  Audits  Console

Name Status Size Time

Path Method Text Type Initiator Content Latency Timeline
— | Mm&ages TIUT TVTOOTiET Farse gD s
f.av_uff.png GET 304 image/png 1084:108 186 B 30ms
images Not Modified Parser 211B 26 ms
= g0?24s.jpg - — (falleq) mage/jpeq 1084:175 312 KB 5625
= | /attachmentsidownload/1357 Parser 311 KB 388 ms
comment.pn 304 1084170 187B 22ms
] Png GET - image/png _ ~
/images Not Modified Parser 360 B 16 ms
copy.pn 304 1084°109 187B 220 ms
Py-png GET ) image/png - o
fimages Not Modified Parser 925B 207 ms
Cuh_Cuh_Circlebow.pn 304 1084:178 740B 219ms
= - Png GET image/png -
/attachments/download/1355 Not Modified Parser 64.8 KB 204 ms
attachment.pn 304 1084:182 187B 217 ms
& ) GET . image/png o
limanes Nt Modified Parzer Q30 R 201 m=

However, in apache log(i setup redmine with apache), the image sending has no error(status code 200):

[23/Apr/2013:13:11:25 +0800] "GET /attachments/download/1357/307248.Jjpg HTTP/1.1" 200 319703 "http://172.16.7
8.208/issues/1084" "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.141
0.64 safari/537.31"

#3 - 2013-04-23 07:54 - Jethro Yu
After | go to install an Apache mod mod_pagespeed from https://developers.google.com/speed/pagespeed/mod , the problem is not happened again.

So it seems like a configuration issue of Apache, but i'm still not sure what the root cause is.

#4 - 2013-04-23 10:16 - Filou Centrinov

Try this:

1) Your mouse cursor shows that the page is loading. Press ESC to break page loading when your inline picture is shown. So now your picture
should't disapear. Get the path of this picture. Then reload the page and wait until finished. Get again the path of your picture and compare with first
determined path. Are they the same?

2) Load your page and wait until image disapears. Copy the path of picture in url adress field and load this only picture (without any html). Does it
work?
3) Do you have this problem also with firefox? In firefox you can use Firebug to analyze the page and html elements.

#5 - 2013-04-23 12:49 - Jethro Yu

| can't reproduce this problem even if i remove the mod_pagespeed, restart apache, and clean all cache/cookie from google chrome. But i'm sure it
can be reproduced before installing mod_pagespeed.

Hope that someone else who encounter this problem can provide more info in the future.
P.S. the problem has mentioned in bitnami and seems has been fixed in BitNami Redmine 2.1.2-1

http://answers.bithami.com/questions/8191/redmine-disappearing-inline-images , but i encounter it in redmine 2.2.3 and redmine 2.3(tried to solve it
by upgrading to 2.3)

#6 - 2013-04-29 09:05 - Jethro Yu

Confirmed the problem is due to Kaspersky + Chrome

http://superuser.com/a/480289

The problem is a combination of Kaspersky and Chrome.
Turn off Kaspersky's protection temporarily, and you'll see that the images stay on the page!

I've written to Kaspersky about this, and despite looking, they were unable to pin-point the problem. They only know that it started after a
mid-2012 update. Also it happens on KIS, but not on PURE, etc etc.

I will send them a link to this superuser page -- maybe the other answers will help them fix this!

and a workaround http:/superuser.com/a/287454 is to remove the "Content-Length" from the header of the image.

#7 - 2013-05-01 12:37 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Thank you for your feedback.
It is not Redmine problem.

Files

chrome.png 48.9 KB 2013-04-23 Jethro Yu
